# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::SearchDCOPInterface Class Reference

This is the main interface to the SearchInterface of KTextEdit. DCOP interface to SearchInterface. More...

`#include <searchdcopinterface.h>`

Inheritance diagram for KTextEditor::SearchDCOPInterface:

[legend]
Collaboration diagram for KTextEditor::SearchDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions

bool | findFirstString (QString text, bool caseSensitive)
bool | findNextString (QString text, bool caseSensitive)
bool | findPreviousString (QString text, bool caseSensitive)
bool | findLastString (QString text, bool caseSensitive)
bool | findStringAt (uint row, uint col, QString text, bool caseSensitive)
bool | findFirstRegExp (QString regexp)
bool | findNextRegExp (QString regexp)
bool | findPreviousRegExp (QString regexp)
bool | findLastRegExp (QString regexp)
bool | findRegExpAt (uint row, uint col, QString regexp)
uint | currentMatchLine ()
uint | currentMatchCol ()
uint | currentMatchLength ()

## Public Member Functions

| SearchDCOPInterface (SearchInterface *Parent, const char *name)
virtual | ~SearchDCOPInterface ()

## Detailed Description

This is the main interface to the SearchInterface of KTextEdit. DCOP interface to SearchInterface.

This will provide a consistant dcop interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 18 of file searchdcopinterface.h.

## Constructor & Destructor Documentation

SearchDCOPInterface::SearchDCOPInterface | ( | SearchInterface * | Parent,
|  | const char * | name
| ) |

Construct a new interface object for the text editor.

Parameters:

  | Parent | the parent SearchInterface object that will provide us with the functions for the interface.
  | name | the QObject's name

Definition at line 9 of file searchdcopinterface.cpp.

SearchDCOPInterface::~SearchDCOPInterface | ( |  | ) | `[virtual]`

| Destructor Cleans up the object. Definition at line 18 of file searchdcopinterface.cpp.

The documentation for this class was generated from the following files:

- searchdcopinterface.h
- searchdcopinterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:17 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003